<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/zag.php");
include_once("inclydings/antixak.php");
include 'inclydings/ini.php';
$_title = 'Lineage2';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("inclydings/sesi.php");
if (isset($user)) {

switch($go) {

default:


echo"<b>Отважный охотник</b><br/>
Приветствую $log!<br/>
Соревнование на лучшего охотника начинается каждый понедельник и заканчивается в субботу.<br/>";

$file=@file("L2dbnam/esql2db/olimpiada2.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){
echo"<br/><img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada2.php?$sd&go=sdat\">Обнулить Кристалы</a><br/>";
$start="no";
}}if(empty($start)){
echo"<br/><img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada2.php?$sd&go=start\">Подать заявку</a><br/>";
}
echo"<img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada2.php?$sd&go=about\">О Конкурсе</a><br/>
<img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada2.php?$sd&go=top\">Подавшие заявку</a><br/>
<img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada2.php?$sd&go=rules\">Правила Погони</a><br/>";


break;

case 'about':


echo"Ну что я тебе росскажу?<br/>Погоня начинается с понедельника и продолжается до суботы,до этого времини у тебя есть шанс доказать что ты чего-то стоишь в этом мире зла и борьбы.За это время ты должен как можно больше принести мне Kristal которые падают с монстров.Учти что при сдачи Кристалов я проверяю наличие (Твоих кристалов, и если ты их добыл нечестным способом я буду вынужден тебя наказать.Победитель будет награжден.Желаю тебе удачи";


break;

case 'rules':


echo"<b>Правила Конкурса</b><br/>
1. Принимают участие в соревновании все игроки.<br/>
2. Начало - каждый понедельник, окончание - суббота полноч.<br/>
3 Нельзя передавать Кристалы<br/>
4 Нельзя продавать Кристалы<br/>
<b>За нарушение правил Волшебник неприймет у вас кристалы.</b>";


break;

case 'start':

$date=date("D");

if($date=="Sun"){echo"Сегодня Конкурс не проводится. Заходите позже."; include_once"inclydings/down.php"; exit; }


$text="$log||0||";

$fp=fopen("L2dbnam/esql2db/olimpiada2.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);







echo"<b>Начало Конкурса</b><br/>
Спеши стать лучшим,беги скорее в окрестности и выбивай с монстов Кристалы.У тебя есть время до Суботы,если ты сумеешь набить больше всех кристалов Тебе будет вознаграждение";


break;

case 'sdat':
$date=date("D");

if($date=="Sun"){echo"Сегодня олимпиада не проводится. Заходите Позже."; include_once"inclydings/down.php"; exit; }


$file=@file("L2dbnam/esql2db/olimpiada2.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){

$file2=@file("L2dbnam/esql2db/item/$log.dat");
$total2=count($file2);
for($i2=0; $i2<$total2; $i2++){
$data2=explode(":||:",$file2[$i2]);

if($data2[4]=="Kristal"){

$_GLOBAL[kol]=$data2[3];

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i2]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);

}}

$koll=$data[1];
$all=$_GLOBAL[kol]+$koll;

$text="$log||$all||";

$fp=fopen("L2dbnam/esql2db/olimpiada2.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/olimpiada2.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); }}
echo"Вы сдали всего Кристалов: $all";
break;

case 'top':
echo"<b>Рейтигн Охотников</b></br></br>";


$file=@file("L2dbnam/esql2db/olimpiada2.dat");
$total=count($file);
if(@file("L2dbnam/esql2db/olimpiada2.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{

$data_screen[]='<a href="search.php?nick='.$data_log[$k].'&'.$sd.'&go=go">'.$data_log[$k].'</a><br/>Собрал Кристалов: '.$data_kol[$k].'<br/>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}

echo"<br/>Всего участников: $total";}else{echo"Участников нет.";}

break;

}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>